Bug 445109 - rpm -V reports changed hotwire.desktop file
rpm -V reports changed hotwire.desktop file
Product: Fedora
Classification: Fedora
Component: hotwire (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-03 17:15 EDT by Christian Krause
Modified: 2009-04-11 15:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-11 15:40:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for hotwire.spec to fix the problem (1.47 KB, patch)
2008-12-13 15:12 EST, Christian Krause
no flags Details | Diff

  None (edit)
Description Christian Krause 2008-05-03 17:15:08 EDT
how to reproduce:
- "yum install hotwire"
- "rpm -V hotwire":
S.5....T    /usr/share/applications/hotwire.desktop

This is for sure not a critical problem, but in general a package should pass
this test and should not have any altered files (besides config files).

The reason for the problem is, that the desktop file is installed via
"desktop-file-install" in the %post script during installation. The usual way is
to install the desktop file with "desktop-file-insall" during the %install step
of the rpm build process (see e.g. evince.spec).
Comment 1 Bug Zapper 2008-05-14 06:36:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Christian Krause 2008-12-13 15:11:45 EST
The problem is still present in F10, so moving the bug to F10, too.

I've attached a patch for hotwire.spec to fix the problem:
- create hotwire.spec during the build process and not in the %post section during installation
- call update-desktop-database in %post and %postun
As far as I know this is the way as the *.desktop files should be used. ;-)

It would be great if the patch could be applied and an updated packaged pushed to updates...

Thanks in advance!
Comment 3 Christian Krause 2008-12-13 15:12:58 EST
Created attachment 326838 [details]
patch for hotwire.spec to fix the problem
Comment 4 Colin Walters 2008-12-16 09:38:34 EST
Do you have a Fedora account?  If so please apply.
Comment 5 Christian Krause 2008-12-17 04:24:35 EST
(In reply to comment #4)
> Do you have a Fedora account?  If so please apply.

Actually I have an account, but because I haven't finished the whole approval procedures yet, I don't have any permissions. Please can you do the checkin? ;-)
Comment 6 Colin Walters 2008-12-18 10:25:07 EST
Applied, thanks!

1006874 build (dist-f11, /cvs/pkgs:rpms/hotwire/devel:hotwire-0_721-3_fc11) completed successfully
Comment 7 Christian Krause 2009-04-11 15:40:15 EDT
sorry for the very late response - problem is solved in rawhide so I change the bug to -> CLOSED/RAWHIDE

Thanks for applying the patch!

Note You need to log in before you can comment on or make changes to this bug.